Bug 435087 - (CVE-2008-0948) CVE-2008-0948 krb5: incorrect handling of high-numbered file descriptors in RPC library
CVE-2008-0948 krb5: incorrect handling of high-numbered file descriptors in R...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080221,publi...
: Security
Depends On: 435881 435882
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 05:38 EST by Tomas Hoger
Modified: 2016-06-17 17:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 05:43:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-02-27 05:38:05 EST
While investigating issue CVE-2008-0947 reported by MIT Kerboros security team
for krb5 version 1.4 and newer, it was discovered that RPC library as shipped
with krb5 versions prior to 1.3 (i.e. as shipped with Red Hat Enterprise Linux
2.1 and 3) is affected by similar problem.  Unauthenticated remote attacker
could cause application using RPC library (e.g. kadmind) to exit under certain
circumstances.

Problem exists in RPC library connection handling code that did not properly
handle situations when too many connections were opened.

Acknowledgements:

Red Hat would like to thank MIT for reporting this issue.
Comment 2 Tomas Hoger 2008-02-27 05:45:37 EST
This issue was addressed upstream long ago via following patch:

http://anonsvn.mit.edu/cgi-bin/viewcvs.cgi/trunk/src/lib/rpc/rpc_dtablesize.c?r1=13269&r2=13528
Comment 6 Tomas Hoger 2008-03-18 14:24:17 EDT
Public now:

  http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2008-002.txt

Lifting embargo.
Comment 7 Tomas Hoger 2008-03-18 14:27:55 EDT
This issue only affected krb5 package in Red Hat Enterprise Linux 2.1 and 3.

However, default configuration did not affect default configuration.  This issue
only affected systems configured to use higher resource limit than default 1024
for 'open files'.
Comment 8 Red Hat Product Security 2008-03-31 05:43:40 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0181.html


Note You need to log in before you can comment on or make changes to this bug.